Subject: Re: Strange-Dangerous behaviour in Cygwin
From: Carlo Florendo <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 09 May 2005 11:30:14 +0800

Carlo Florendo wrote:

> Christopher Faylor wrote:
>
>> On Sun, May 08, 2005 at 03:02:17PM +0200, Angelo Graziosi wrote:
>>  
>>
>>> The problems described prviously exist in standard bash shell (that is
>>> launched with the link on Desktop) and in the shell launched by xterm
>>> (with startxwin.bat).
>>>
>>> THEY DO NOT exist in dos box (with C\:cygwin\bin in W2KSP4 path) and in
>>> the shell launched with RXVT: in these cases the BACKSPACE key 
>>> delete the
>>> previous character and does not move the cursor as the LEFT arrow key.
>>>   
>>
>>
>> Again:  This means that IT IS an xterm setup issue so YOU SHOULD be
>> using the cygwin-xfree mailing list.
>>
>>  
>>
> This does not seem to be an xterm setup issue.   I have confirmed that 
> running "rm -i <blah>" enables the user to move about the terminal, as 
> in a text editor as originally stated.  (Emphasized since cygwin-xfree 
> is cc'd)
> The same behavior applies to rxvt in stand-alone mode, xterm, and from 
> the shell launched by running cygwin.bat directly from a cmd prompt.
>
> Exporting the TERM variable in these shells and terminals to either 
> xterm, xterm-color, rxvt, or cygwin, does not eliminate the problem.   
> It's not bothersome for me but it certainly is wrong.
> Are there any terminal setttings that have to be modified?
>
Ooops.   Sorry, I've read earlier discussions on this issue just a few 
seconds ago by Erik Blake et al.   So, it's not an xterm issue.  It's a 
bug with coreutils not being POSIX compliant.  A patch has been 
applied.  We just have to wait for the next annoucement for coreutils.

Thanks!

Best Regards,

Carlo

--
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/